# FileAttributes.Flag (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Enum FileAttributes.Flag

    java.lang.Object
      java.lang.Enum<FileAttributes.Flag>
          net.schmizz.sshj.sftp.FileAttributes.Flag

All Implemented Interfaces:
  Serializable, Comparable<FileAttributes.Flag>

Enclosing class:
  FileAttributes

    public static enum FileAttributes.Flag

extends Enum<FileAttributes.Flag>

Enum Constant Summary
`ACMODTIME`
`EXTENDED`
`MODE`
`SIZE`
`UIDGID`

Method Summary
`int` `get()`
`boolean` `isSet(int mask)`
`static FileAttributes.Flag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileAttributes.Flag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIZE

    public static final FileAttributes.Flag SIZE

### UIDGID

    public static final FileAttributes.Flag UIDGID

### MODE

    public static final FileAttributes.Flag MODE

### ACMODTIME

    public static final FileAttributes.Flag ACMODTIME

### EXTENDED

    public static final FileAttributes.Flag EXTENDED

Method Detail

### values

    public static FileAttributes.Flag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileAttributes.Flag c : FileAttributes.Flag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileAttributes.Flag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isSet

    public boolean isSet(int mask)

### get

    public int get()

Copyright © 2009-2011. All Rights Reserved.